Subject: Re: bug#3395: 23.0.94; Remove colon after option etc. name

From: martin rudalics <[email-masked]>
Date: Thu, 28 May 2009 17:43:08 +0200

> I specifically went to the trouble of speaking in generic terms, talking about
 > "a command that picks up the symbol at point", without referring to any specific
 > such command, such as `variable-at-point'.

The colon _has_ punctuation syntax in custom buffers.  It's the syntax
table chosen by `variable-at-point' which messes up things in your case.

 > The fix I mentioned lets you use any command at all that picks up symbol syntax
 > here. A change to `variable-at-point' is not what I'm asking for - that will not
 > affect other commands that (already DTRT) pick up a symbol name at or near
 > point.

Commands that do not change the syntax table do get this right.  Try,
for example, info-lookup on such an item.  It should even work for
unlispified items.

 > Simply removing the colon solves the problem, and it has absolutely no negative
 > effect. Besides being bothersome here, the colon is 100% useless.

Changing customization code is 100% dangerous.

martin